Bug 37353 - cardmgr uses incorrect parameter to start & stop network
cardmgr uses incorrect parameter to start & stop network
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
7.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-24 07:05 EDT by Mike Wilcox
Modified: 2015-01-04 17:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 02:12:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Wilcox 2001-04-24 07:05:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.17-14smp i686)


When inserting & removing a 3COM 575CT network card, cardmgr uses the wrong
parameters to start & stop the network. Syslog reports:
Apr 24 11:39:51 fulham /etc/hotplug/net.agent: register event not handled
Apr 24 11:39:51 fulham cardmgr[1621]: executing: 'modprobe cb_enabler'
Apr 24 11:39:51 fulham cardmgr[1621]: executing: 'modprobe 3c59x'
Apr 24 11:39:51 fulham cardmgr[1621]: executing: './network start 3c59x'
Apr 24 11:39:52 fulham cardmgr[1621]: exiting
Apr 24 11:41:17 fulham cardmgr[1688]: executing: './network check 3c59x'
Apr 24 11:41:17 fulham cardmgr[1688]: shutting down socket 1
Apr 24 11:41:17 fulham cardmgr[1688]: executing: './network stop 3c59x'
Apr 24 11:41:17 fulham cardmgr[1688]: + usage: ifdown <device name>
Apr 24 11:41:17 fulham cardmgr[1688]: stop cmd exited with status 1
Apr 24 11:41:17 fulham cardmgr[1688]: executing: 'modprobe -r 3c59x'
Apr 24 11:41:17 fulham cardmgr[1688]: + 3c59x: Device or resource busy
Apr 24 11:41:17 fulham cardmgr[1688]: modprobe exited with status 1
Apr 24 11:41:17 fulham cardmgr[1688]: executing: 'modprobe -r cb_enabler'
Apr 24 11:41:17 fulham cardmgr[1688]: exiting
Apr 24 11:41:17 fulham kernel: cs: cb_free(bus 6)
Apr 24 11:41:17 fulham /etc/hotplug/pci.agent: PCI remove event not
supported

Examining /etc/pcmcia/network shows:
1) It doesn't support the "check" parameter
2) Starting is ignored - it is left to the hotplug agents to bring up the
network
3) Stopping the network expects $2 to be "eth0" rather than "3c59x", in
order to call ifdown.

Examining /etc/hotplug/net.agent shows:
4) The message "/etc/hotplug/net.agent: register event not handled" is
output even after a successful "ifup".


Reproducible: Always
Steps to Reproduce:
1. boot and shutdown with card in slot, or
2. cardctl eject 0, and cardctl insert 0
Comment 1 Arjan van de Ven 2001-04-26 07:48:01 EDT
This card shouldn't be handled by cardmgr _at all_!
Investigating
Comment 2 Bill Nottingham 2001-04-27 00:55:23 EDT
The cardmgr network script doesn't call ifup; are you using the shipped-with-7.1
pcmcia?
Comment 3 Bill Nottingham 2001-04-27 01:03:28 EDT
Oops, nevermind, wasn't reading closely.

Note You need to log in before you can comment on or make changes to this bug.